#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: mueval
version: 0.9.1.1.2
id: mueval-0.9.1.1.2-fde1d66cb99a4e391c07b94d6b5c2e85
key: mueva_1qSBNl0Duuf8hoNlwvGdOb
license: BSD3
maintainer: Gwern <gwern@gwern.net>
homepage: https://github.com/gwern/mueval
synopsis: Safely evaluate pure Haskell expressions
description:
    Mueval is a Haskell interpreter. It
    uses the GHC API to evaluate arbitrary Haskell expressions.
    Importantly, mueval takes many precautions to defang and avoid \"evil\"
    code.  It uses resource limits, whitelisted modules and Safe Haskell,
    special Show instances for IO, threads, processes, and changes of directory
    to sandbox the Haskell code.
    .
    It is, in short, intended to be a standalone version of Lambdabot'\''s famous
    evaluation functionality. For examples and explanations, please see the README file.
    .
    Mueval is POSIX-only.
category: Development, Language
author: Gwern
exposed: True
exposed-modules:
    Mueval.Parallel Mueval.Context Mueval.Interpreter Mueval.ArgsParse
    Mueval.Resources
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/mueval-0.9.1.1.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/mueval-0.9.1.1.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/mueval-0.9.1.1.2
hs-libraries: HSmueval-0.9.1.1.2-1qSBNl0Duuf8hoNlwvGdOb
include-dirs: /usr/local/include
depends:
    Cabal-1.22.4.0-bf5deda40f3cd7c8854a79156fae64ab
    QuickCheck-2.8.1-d2f1c7715734989efc1da1e71f3c72de
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    directory-1.2.2.0-b6ee7e969ff00a970631d14a5a84bc27
    extensible-exceptions-0.1.1.4-dae34b7345f33259ae772f45ee3cac62
    filepath-1.4.0.0-84bda675ba63f9b1a4b3fb9597f70f12
    hint-0.4.2.3-17ec8841f153e8a97a040c0bbb433cf1
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    process-1.2.3.0-6ba26f4843c3923e1f0fe560685c1e06
    show-0.6-eb6ed9d7c69c437688878af76741de33
    simple-reflect-0.3.2-d130331553a8cdf6eba74e229dc3a3ab
    unix-2.7.1.0-46aa3510142f1580327fd52821c9f510
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/mueval-0.9.1.1.2/html/mueval.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/mueval-0.9.1.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
